/*
   CIPE - encrypted IP over UDP tunneling

   ioctl.h - prototype for the ioctl interface, user part

   Copyright 1996 Olaf Titz <olaf@bigred.inka.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version
   2 of the License, or (at your option) any later version.
*/
/* $Id: ioctl.h,v 1.3 2000/03/27 17:38:23 olaf Exp $ */

#include "cipe.h"

#ifdef SIOCGIFCIPPAR
extern int ioctl_getpar(int fd, char *ifname, struct siocgifcippar *sio);
#endif
extern int ioctl_setpar(int fd, char *ifname, struct siocsifcippar *sio);
extern int ioctl_setkey(int fd, char *ifname, struct siocsifcipkey *sio);
extern int ioctl_attach(int fd, char *ifname, struct siocsifcipatt *sio);
extern int ioctl_alloc(int fd, char *ifname, struct siocsifcipall *sio);
extern int ioctl_unalloc(int fd, char *ifname, struct siocsifcipall *sio);
